Summary:	A generic USB CCID (Chip/Smart Card Interface Devices) driver
Name:		ccid
Version:	1.4.1
Release:	%mkrel 2
# RSA_SecurID_getpasswd and Kobil_mIDentity_switch are GPLv2+
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://pcsclite.alioth.debian.org/
# ccid svn contains symlinks to files pcsc svn. To create a working
# source tarball from svn:
# mkdir -p ccid/Drivers
# cd ccid
# svn co svn://svn.debian.org/pcsclite/trunk/PCSC
# cd Drivers
# svn co svn://svn.debian.org/pcsclite/trunk/Drivers/ccid
Source0:	https://alioth.debian.org/download.php/1474/ccid-%{version}.tar.bz2
Source1:	https://alioth.debian.org/download.php/1475/ccid-%{version}.tar.bz2.asc
Patch0:		ccid-libtool_fixes.diff
BuildRequires:	flex
BuildRequires:	libpcsclite-devel >= 1.6.5
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	libtool
# update-reader.conf is called in %%post
Requires(post): pcsc-lite
Requires(postun): pcsc-lite
Requires:	pcsc-lite

%description
This package provides a generic USB CCID (Chip/Smart Card Interface Devices)
driver.

%prep

%setup -q 
%patch0 -p0

%build
autoreconf -fis

%configure2_5x \
    --enable-twinserial \
    --enable-udev

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# serial driver is installed separately
%makeinstall_std -C src install_ccidtwin

# conf file should be placed inside reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

# udev
install -m 0644 -D src/92_pcscd_ccid.rules %{buildroot}/lib/udev/rules.d/92_pcscd_ccid.rules

# (Anssi 04/2011) Remove GROUP= entries as our and Fedora's pcscd does not run
# in pcscd group. The second regexp comments out rules that were left without
# any actions by the first regexp.
sed -ri -e 's|, GROUP="pcscd"||' -e 's,^([^=]+[!=]=)+[^=]+$,# no action needed # &,' \
    %{buildroot}/lib/udev/rules.d/92_pcscd_ccid.rules

rm -rf %{buildroot}%{_docdir}/*
rm -f readers/Makefile*
cp -f src/towitoko/README README.towitoko

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README COPYING
%doc readers contrib/Kobil_mIDentity_switch/README_Kobil_mIDentity_switch.txt
%doc README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%config /lib/udev/rules.d/92_pcscd_ccid.rules
%{_libdir}/pcsc/drivers/ifd-ccid.bundle
%{_libdir}/pcsc/drivers/serial
%{_bindir}/RSA_SecurID_getpasswd
%{_sbindir}/Kobil_mIDentity_switch
%{_mandir}/man1/RSA_SecurID_getpasswd.1*
%{_mandir}/man8/Kobil_mIDentity_switch.8*




%changelog
* Sat Apr 23 2011 anssi <anssi> 1.4.1-2.mga1
+ Revision: 89924
- remove invalid GROUP entries from udev rules
- do not call update-reader.conf in post (it has been removed as no
  longer needed)

* Fri Apr 22 2011 ennael <ennael> 1.4.1-1.mga1
+ Revision: 89726
- clean spec file
- imported package ccid


* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 627058
- new version
- move udev conf file into /lib/udev, removing noreplace
- bump requirement on pcsc-lite

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 570517
- New version 1.4.0
- rediff p0

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.3.11-1mdv2010.0
+ Revision: 407553
- New version 1.3.11

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.10-1mdv2010.0
+ Revision: 353018
- Update to new version 1.3.10

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.9-1mdv2009.1
+ Revision: 340650
- Update to new 1.3.9 version
- Rediff libtool fixes

* Sat Oct 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.8svn3179-1mdv2009.1
+ Revision: 297229
- Update to svn snapshot, which supports more readers (for example
  Broadcom 5800)
- Don't package Makefile* in /usr/share/doc/ccid/

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.8-2mdv2009.0
+ Revision: 229728
- rebuilt due to bs problems
- 1.3.8
- added P0 to make it build with our libtool
- spec file massage

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2009.0
+ Revision: 200029
- New version 1.3.6

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.5-1mdv2009.0
+ Revision: 197111
- new version 1.3.5
- licensing policy compliance

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdv2008.1
+ Revision: 187682
- rebuild for 2008.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 32037
- updated to version 1.3.0


* Wed Mar 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.1-1mdv2007.1
+ Revision: 134383
- updated to version 1.2.1
- enabled udev support
- adjusted buildrequires for pcsc-lite

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.0-1mdv2007.1
+ Revision: 77008
- updated to version 1.1.0
- Import ccid

* Fri Apr 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-1mdk
- updated to version 1.0.1

* Mon Mar 13 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdk
- packaged for Mandriva

